INTIO(4)

NAME
intio - X68K internal I/O space driver

SYNOPSIS
intio0 at mainbus0

DESCRIPTION
intio is a virtual device corresponding to the x68k internal I/O space.

Internal I/O space spans from 0xc00000 to 0xffffff of the x68k physical address space, and is mapped permanently in the kernel virtual space at the very early time of the kernel startup procedure.

intio driver manages the internal I/O space of x68k.

•   Address range management to avoid confliction of address space of which devices probe by touching hardware port is difficult.

•   Interrupt vector management.

•   Bus_space(9) and bus_dma(9) implementation.

•   Other utility functions.

intio is always required to run NetBSD kernel.

SEE ALSO
intro(4), bus_space(9), bus_dma(9).